Package com.xebialabs.xlrelease.configuration

## Class SystemMessageSettings

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.configuration.SystemMessageSettings

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                versioned=false)
      public class SystemMessageSettings
      extends BaseConfiguration

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SYSTEM_MESSAGE_ID` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SystemMessageSettings()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getEndDate()` |
    `java.lang.String` | `getMessage()` |
    `java.util.Date` | `getStartDate()` |
    `boolean` | `isAutomated()` |
    `boolean` | `isEnabled()` |
    `void` | `setAutomated​(boolean automated)` |
    `void` | `setEnabled​(boolean enabled)` |
    `void` | `setEndDate​(java.util.Date endDate)` |
    `void` | `setMessage​(java.lang.String message)` |
    `void` | `setStartDate​(java.util.Date startDate)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, getTitle, hasId, setFolderId, setTitle`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SYSTEM_MESSAGE_ID

          public static final java.lang.String SYSTEM_MESSAGE_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SystemMessageSettings

          public SystemMessageSettings()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled​(boolean enabled)

    - #### getMessage

          public java.lang.String getMessage()

    - #### setMessage

          public void setMessage​(java.lang.String message)

    - #### isAutomated

          public boolean isAutomated()

    - #### setAutomated

          public void setAutomated​(boolean automated)

    - #### getStartDate

          public java.util.Date getStartDate()

    - #### setStartDate

          public void setStartDate​(java.util.Date startDate)

    - #### getEndDate

          public java.util.Date getEndDate()

    - #### setEndDate

          public void setEndDate​(java.util.Date endDate)